---
apiVersion: "apps/v1"
kind: "Deployment"
metadata:
  name: "sample-app"
  namespace: "default"
  labels:
    app: "sample-app"
spec:
  replicas: 1
  selector:
    matchLabels:
      app: "sample-app"
  template:
    metadata:
      labels:
        app: "sample-app"
    spec:
      containers:
      - name: "sample-app"
        image: "rider5g/argocd-poc:1.0.1"
---
apiVersion: "autoscaling/v2beta1"
kind: "HorizontalPodAutoscaler"
metadata:
  name: "sample-app-hpa-dgrg"
  namespace: "default"
  labels:
    app: "sample-app"
spec:
  scaleTargetRef:
    kind: "Deployment"
    name: "sample-app"
    apiVersion: "apps/v1"
  minReplicas: 1
  maxReplicas: 5
  metrics:
  - type: "Resource"
    resource:
      name: "cpu"
      targetAverageUtilization: 70
